#include <stdio.h>
#include <algorithm>
using namespace std;

int aps(int z){
    if (z >= 0) return z;

    return -z;
}

int main()
{
    int n, x;
    int *a;
    scanf("%d%d", &n,&x);
    a = new int[n];
   
    for(int i = 0; i < n; i++)
        scanf("%d",&a[i]);

    int vr = 0;

     int najveci = x;
     int najmanji = x;
    for(int i = 0; i < n; i++){
        if(najmanji > a[i]) najmanji = a[i];
        if(najveci < a[i]) najveci = a[i];
    }
    vr = aps(najveci-najmanji);

    if(x != najmanji && x != najveci){
        vr += min(aps(najveci-x), aps(x-najmanji));
    }
    printf("%d", vr);


    return 0;
}